Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Log Class Reference

Log class for writing debug/log data to files. More...

`#include <OgreLog.h>`

List of all members.

## Public Methods

| Log (const String &name, bool debugOutput=true)
| Usual constructor - called by LogManager.
| ~Log ()
| Default destructor.
void | logMessage (const String &message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)
| Log a message to the debugger and to log file (the default is "`OGRE.log`"),.
void | setLogDetail (LoggingLevel ll)
| Sets the level of the log detail.

## Protected Attributes

std::ofstream | mfpLog
LoggingLevel | mLogLevel
bool | mDebugOut

## Detailed Description

Log class for writing debug/log data to files.

Note:
  Should not be used directly, but trough the LogManager class.

Definition at line 58 of file OgreLog.h.

## Constructor & Destructor Documentation

Ogre::Log::Log | ( | const String & | name,
|  | bool | debugOutput = true
| ) |

| Usual constructor - called by LogManager. Definition at line 33 of file OgreLog.cpp. References Ogre::LL_NORMAL, mDebugOut, mfpLog, mLogLevel, and Ogre::String.

Ogre::Log::~Log | ( |  | ) |

| Default destructor. Definition at line 40 of file OgreLog.cpp. References mfpLog.

## Member Function Documentation

void Ogre::Log::logMessage | ( | const String & | message,
|  | LogMessageLevel | lml = LML_NORMAL,
|  | bool | maskDebug = false
| ) |

| Log a message to the debugger and to log file (the default is "`OGRE.log`"),. Definition at line 45 of file OgreLog.cpp. References LOG_THRESHOLD, Ogre::LogMessageLevel, mDebugOut, mfpLog, mLogLevel, and Ogre::String. Referenced by Ogre::RenderSystemCapabilities::log(), Ogre::EdgeListBuilder::log(), Ogre::EdgeData::log(), and Ogre::LogManager::logMessage().

void Ogre::Log::setLogDetail | ( | LoggingLevel | ll | ) |

| Sets the level of the log detail. Definition at line 66 of file OgreLog.cpp. References Ogre::LoggingLevel, and mLogLevel. Referenced by Ogre::LogManager::setLogDetail().

## Member Data Documentation

bool Ogre::Log::mDebugOut`[protected]`

| Definition at line 63 of file OgreLog.h. Referenced by Log(), and logMessage().

std::ofstream Ogre::Log::mfpLog`[protected]`

| Definition at line 61 of file OgreLog.h. Referenced by Log(), logMessage(), and ~Log().

LoggingLevel Ogre::Log::mLogLevel`[protected]`

| Definition at line 62 of file OgreLog.h. Referenced by Log(), logMessage(), and setLogDetail().

The documentation for this class was generated from the following files:

- OgreLog.h
- OgreLog.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:10 2004